export declare const COMMON_CHUNK_NAME: {
    ExternalDepsImport: string;
    InternalDepsImport: string;
    ImportAliasDefine: string;
    FileVarDefine: string;
    FileUtilDefine: string;
    FileMainContent: string;
    FileExport: string;
    StyleDepsImport: string;
    StyleCssContent: string;
    HtmlContent: string;
    CustomContent: string;
};
export declare const CLASS_DEFINE_CHUNK_NAME: {
    Start: string;
    ConstructorStart: string;
    ConstructorContent: string;
    ConstructorEnd: string;
    StaticVar: string;
    StaticMethod: string;
    InsVar: string;
    InsVarMethod: string;
    InsMethod: string;
    InsPrivateMethod: string;
    End: string;
};
export declare const TEMPLATE_DEFINE_CHUNK_NAME: {
    TemplateStart: string;
    TemplateDom: string;
    TemplateEnd: string;
    ScriptStart: string;
    ExternalDepsImport: string;
    InternalDepsImport: string;
    ConstVar: string;
    LetVar: string;
    DataSourceMapStart: string;
    DataSourceMapContent: string;
    DataSourceMapEnd: string;
    OnMountedStart: string;
    OnMountedContent: string;
    OnMountedEnd: string;
    UnMountedStart: string;
    UnMountedContent: string;
    UnMountedEnd: string;
    Method: string;
    ScriptEnd: string;
    CssStyleStart: string;
    CssStyleImport: string;
    CssStyleEnd: string;
};
export declare const DEFAULT_LINK_AFTER: {
    [x: string]: string[];
};
export declare const VUE_DEFAULT_LINK_AFTER: {
    [x: string]: string[];
};
export declare const COMMON_SUB_MODULE_NAME = "index";
export declare const VUE_MODULE_NAME = "@dckj-npm/lowcode-vue-materials";
