import { DataSourceExtraBaseType } from './datasource-extra-base';
export interface DatasourcePageHelperProps extends DataSourceExtraBaseType {
    /**
     * 默认值
     */
    defaultValue?: DataSourcePageHelperType;
}
/**
 * 数据源分页参数子项类型
 */
export interface DataSourcePageHelperTypeItem {
    /**
     * 字段名称
     */
    field: string;
    /**
     * 值
     */
    value: number;
}
export interface DataSourcePageHelperType {
    /**
     * 页数信息
     */
    page: DataSourcePageHelperTypeItem;
    /**
     * 行数信息
     */
    rows: DataSourcePageHelperTypeItem;
}
