export interface DataSourceExtraBaseType {
    /**
     * 标题
     */
    title?: string;
    /**
     * 是否显示标题
     */
    showTitle?: boolean;
    /**
     * 是否显示
     */
    visible?: boolean;
}
export interface ComponentSettingResult {
    /**
     * 设置的字段
     */
    key: string;
    /**
     * 设置的值
     */
    value: string;
}
/**
 * 请求参数的itemList
 */
export interface ItemList {
    columnName: string;
    orderBy?: 'desc' | 'asc';
    columnValue?: string;
}
